Groovy 1.7.0

## org.codehaus.groovy.ast.stmt
Class CaseStatement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement
              org.codehaus.groovy.ast.stmt.CaseStatement

    class CaseStatement
    extends Statement

Represents a case statement in a switch statement

author:
  James Strachan

version:
  $Revision: 15759 $

Constructor Summary
`CaseStatement(Expression expression, Statement code)`

Method Summary
`Statement` | `getCode()`
`Expression` | `getExpression()`
`void` | `setCode(Statement code)`
`void` | `setExpression(Expression e)`
`String` | `toString()`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Statement
getStatementLabel, isEmpty, setStatementLabel

Methods inherited from class ASTNode
getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### CaseStatement

    public CaseStatement(Expression expression, Statement code)

Method Detail

### getCode

    public Statement getCode()

### getExpression

    public Expression getExpression()

### setCode

    public void setCode(Statement code)

### setExpression

    public void setExpression(Expression e)

### toString

    public String toString()

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2009 The Codehaus. All rights reserved.